[meta]Track which bugs need backporting to SeaMonkey 2.26.1

RESOLVED FIXED

Status

defect
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: iann_bugzilla, Unassigned)

Tracking

({meta})

SeaMonkey 2.26 Branch
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

This is a bug to track which bugs we want to backport to the upcoming SeaMonkey 2.26.1
Potential bugs should not include any string changes and must not depend on anything that has not already landed on comm-release and/or mozilla-release
If you do add or remove a bug number, please give reasoning.
Ratty triaged all the bugs so far.
Still need to check for others in suite but mailnews and editor code needs to be checked too.
Potential candidates: bug 794749 bug 998171 (bug 1008835 not approved yet)
Been around since SM2.13 so would be a good fix.
Depends on: 794749
(In reply to neil@parkwaycc.co.uk from comment #2)
> Potential candidates: bug 794749 bug 998171 (bug 1008835 not approved yet)

Agreed
Depends on: 998171, 1008835
Bug 947972 - Add checkbox to toggle https: background color in Location Bar preference pane
Bug 960097 - Port MailNews Bug 773782 (Stop using LL_* macros)
..................
Bug 947599 can't be ported to 2.26.1 without the mozilla-* changes in Bug 932100 which is status-firefox26: wontfix
Depends on: 960097, 947972
(In reply to Philip Chee from comment #5)
> Bug 947972 - Add checkbox to toggle https: background color in Location Bar preference pane

That one has string changes, won't that be an issue with localizers? Or, can specific l10n updates from the beta channel be transplated into the release branch for all locales?
(In reply to rsx11m from comment #6)
> (In reply to Philip Chee from comment #5)
> > Bug 947972 - Add checkbox to toggle https: background color in Location Bar preference pane
> 
> That one has string changes, won't that be an issue with localizers? Or, can
> specific l10n updates from the beta channel be transplated into the release
> branch for all locales?

Correct, so removing.
No longer depends on: 947972
All dep bugs have been landed:

$ hg diff --stat -r SEAMONKEY_2_26_RELEASE:SEA_2_26_1_RELBRANCH
 .hgtags                                                       |    2 +
 editor/ui/composer/content/editor.xul                         |    1 +
 editor/ui/composer/content/editorOverlay.xul                  |    1 +
 mailnews/base/prefs/content/AccountWizard.js                  |    2 +-
 mailnews/base/prefs/content/am-server-advanced.js             |   36 ++++++-----
 mailnews/base/prefs/content/am-server-advanced.xul            |   19 +++--
 mailnews/base/prefs/content/aw-done.js                        |    1 +
 suite/app/nsSuiteApp.cpp                                      |   50 +++++++++-------
 suite/browser/browser-prefs.js                                |    3 +
 suite/browser/navigator.js                                    |   46 ++++++++++----
 suite/browser/navigator.xul                                   |    3 +-
 suite/browser/nsBrowserStatusHandler.js                       |    3 +-
 suite/browser/tabbrowser.xml                                  |  173 ++++++++++++++++++++++++++++++---------------------------
 suite/browser/urlbarBindings.xml                              |   41 ++++++++++++-
 suite/common/contentAreaClick.js                              |    7 +--
 suite/common/downloads/downloadmanager.xul                    |    1 +
 suite/common/history/utils.js                                 |    2 +-
 suite/common/places/browserPlacesViews.js                     |    2 +-
 suite/common/places/controller.js                             |    1 -
 suite/common/places/tree.xml                                  |    2 +-
 suite/common/pref/pref-history.js                             |    5 +-
 suite/common/search/search.xml                                |   14 ++--
 suite/common/src/PlacesUIUtils.jsm                            |    2 +-
 suite/common/viewZoomOverlay.js                               |   73 +++++++++++++++---------
 suite/debugQA/content/debugQATextEditorShell.xul              |    1 +
 suite/mailnews/addrbook/addressbook.xul                       |    1 +
 suite/mailnews/compose/messengercompose.xul                   |    1 +
 suite/mailnews/messageWindow.xul                              |    1 +
 suite/mailnews/messenger.xul                                  |   11 ++-
 suite/mailnews/tabmail.xml                                    |    1 -
 suite/modules/Sanitizer.jsm                                   |    6 +-
 suite/profile/migration/src/nsNetscapeProfileMigratorBase.cpp |   12 +---
 suite/shell/src/nsGNOMEShellService.cpp                       |   14 ++--
 suite/shell/src/nsMacShellService.cpp                         |   23 ++++---
 suite/shell/src/nsWindowsShellService.cpp                     |   32 +++++-----
 suite/themes/classic/mac/communicator/communicator.css        |    2 +-
 36 files changed, 349 insertions(+), 246 deletions(-)

$ hg out --style compact
comparing with ssh://hg.mozilla.org/releases/comm-release/
searching for changes
20169:19901   6d24ad7fb027   2014-05-20 19:54 +0200   stefanh
  Bug 1006068 - Lightweight themes: title bar overlaps toolbar and no window title is displayed. r=Mnyromyr, sr=Neil, a=Ratty.

20170   b8059a5e7a4b   2013-09-22 23:07 +0800   philip
  Bug 154772 Tooltip for address bar should show complete current URL r=Neil

20171   f226cb234deb   2014-02-21 01:04 +0000   neil
  Bug 562845 Port bug 546013 bug 922530 bug 909264 r=Ratty

20172   27995f4797f5   2014-06-02 00:09 +0100   neil
  Bug 794749 Vertical view doesn't persist splitter positions correctly r=IanN a=IanN

20173   c9876da9d1ff   2014-03-07 17:49 +0100   mcsmurf
  Bug 856208 - Stop using global-history;2 in SeaMonkey code, followup to move more Places modules code, r=Neil

20174   9f7c2c32fad1   2014-03-05 13:53 +0100   mcsmurf
  Bug 901234 - Stop using uriTypes (Places Session ids) in SeaMonkey code, r=Neil, a=me

20175   cfda76589359   2014-04-03 12:17 +0800   ewong
  Bug 904338 - Empty port line when creating a Blogs & Newsfeeds account. r=IanN

20176   91519486358d   2014-04-15 11:31 +0100   neil
  Bug 909093 Update SeaMonkey to use nsIContentPrefService2 r=Ratty

20177   ff1ec742d4c0   2013-11-30 14:11 +0800   philip
  Bug 947599 Set up DLL blocklist before LoadAppInitDlls (Port Bug 932100 to SeaMonkey) r=Neil

20178   1be8b2fb7350   2014-02-20 01:43 +0800   philip
  Bug 960097 - Port MailNews Bug 773782 (Stop using LL_* macros) r=Neil

20179   64aa494ec68c   2014-02-20 01:44 +0800   philip
  Bug 960149 ShellService Fixups. Port Some Firefox bugs (Bug 531174, Bug 784739, Bug 791694, Bug 945245, Bug 949821) r= Neil

20180   38065a20158c   2014-02-20 01:40 +0800   philip
  Bug 963132 Part 1 - Refactor the DOMLinkAdded event handler code in tabbrowser. r=Neil

20181   6ceb04d3717d   2014-02-20 01:40 +0800   philip
  Bug 963132 Part 2 Implement add to searchbar (search-engine autodiscovery) r=Neil

20182   2330f1f99c2a   2014-01-31 16:27 -0700   alta88
  Bug 966276 - pop3 account advanced deferring dialog broken. r=squib

20183   3c60f4ed95d0   2014-02-26 17:20 -0700   alta88
  Bug 966276 - pop3 account advanced deferring dialog broken - followup patch. r=squib

20184   fd910d1fd8f0   2014-02-21 01:03 +0000   neil
  Bug 970121 Try to decode the URL in more cases r=Ratty

20185   6f6c5df761b9   2014-03-17 13:15 +0000   neil
  Bug 984175 Colour swatches are the wrong size r=IanN

20186   aa67f2715fd3   2014-06-02 00:10 +0100   neil
  Bug 998171 Clear the Aero Peek favicon when the document changes r=mcsmurf a=Ratty

20187   ba5a407b0217   2014-04-23 00:27 +0100   bugzilla
  Bug 999365 - Remove centering of mailnews new tab button so as to stretch it (default behaviour). r=Neil, a=me

20188   4d8e84d21689   2014-05-27 10:16 +0800   ewong
  Bug 1005566 - Hovering mouse over a link causes SeaMonkey to send packets to the link's address. r+a=IanN on a CLOSED TREE

20189[tip]   2e990ad00dac   2014-06-02 00:30 +0100   neil
  Bug 1008835 Unable to defer a new account to the Global Inbox r=IanN a=IanN

$ hg push --new-branch
pushing to ssh://hg.mozilla.org/releases/comm-release/
searching for changes
remote: adding changesets
remote: adding manifests
remote: adding file changes
remote: added 22 changesets with 16 changes to 12 files
remote: Tree Seamonkey comm-release is CLOSED!
remote: dummy commit to push to CLOSED TREE a=Callek
remote: But you included the magic words.  Hope you had permission!
remote: Tree Thunderbird comm-release is CLOSED!
remote: dummy commit to push to CLOSED TREE a=Callek
remote: But you included the magic words.  Hope you had permission!
remote: Trying to insert into pushlog.
remote: Please do not interrupt...
remote: Inserted into the pushlog db successfully.
remote: You can view the pushlog for your changes at the following URL:
remote:   https://hg.mozilla.org/releases/comm-release/pushloghtml?changeset=9df14e7197fc


=====================
For comparison we also did a bunch of m-c patch uplifts:

$ hg diff --stat -r SEAMONKEY_2_26_RELEASE:SEA_2_26_1_RELBRANCH
 .hgtags                                                         |   2 +
 addon-sdk/source/lib/sdk/content/sandbox.js                     |  30 ++++++++++++++++++++-------
 addon-sdk/source/test/addons/unsafe-content-script/main.js      |  61 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 addon-sdk/source/test/addons/unsafe-content-script/package.json |   6 +++++
 addon-sdk/source/test/test-content-script.js                    |  26 ++++++++++++++++++++++++
 content/media/AudioStream.cpp                                   |  43 ++++++++++++++++++++++-----------------
 content/media/AudioStream.h                                     |  25 ++++++++++++++--------
 content/media/webaudio/AudioBuffer.cpp                          |  35 +++++++++++++++++++++++---------
 content/media/webaudio/AudioBuffer.h                            |  18 ++++++++--------
 content/media/webaudio/AudioContext.cpp                         |  21 ++++--------------
 content/media/webaudio/AudioDestinationNode.cpp                 |   9 ++++---
 content/media/webaudio/AudioProcessingEvent.cpp                 |  15 ++++++++-----
 content/media/webaudio/AudioProcessingEvent.h                   |  12 +++++-----
 content/media/webaudio/MediaBufferDecoder.cpp                   |   6 +++-
 content/media/webaudio/ScriptProcessorNode.cpp                  |  22 ++++++++++++++-----
 content/media/webaudio/WebAudioUtils.h                          |  55 ++++++++++++++++++++++++++++-----------------------
 content/media/webaudio/blink/DynamicsCompressorKernel.cpp       |   2 +-
 content/media/webaudio/blink/HRTFPanner.cpp                     |   2 +-
 content/media/webrtc/MediaEngineDefault.cpp                     |   2 +-
 docshell/base/nsDocShell.cpp                                    |  14 ++++++------
 dom/base/URL.cpp                                                |   2 +-
 dom/base/nsGlobalWindow.cpp                                     |   5 ++++
 dom/events/nsEventListenerManager.cpp                           |  11 ++++++---
 dom/smil/nsSMILAnimationController.cpp                          |  13 +++++++++--
 dom/smil/nsSMILAnimationController.h                            |   3 ++
 dom/src/notification/NotificationDB.jsm                         |   1 +
 dom/src/notification/NotificationStorage.js                     |  40 ++++++++++++++++++++++++-------------
 dom/webidl/AudioProcessingEvent.webidl                          |   9 +++++--
 dom/workers/ScriptLoader.cpp                                    |   4 ++-
 editor/libeditor/html/nsHTMLEditRules.cpp                       |  34 ++++++++++++++++++++-----------
 editor/libeditor/html/nsHTMLEditRules.h                         |   2 +
 editor/libeditor/html/nsHTMLEditor.cpp                          |   7 +++--
 editor/libeditor/text/nsPlaintextEditor.cpp                     |   8 +++---
 editor/libeditor/text/nsTextEditRules.cpp                       |  33 +++++++++++++++++++++---------
 editor/libeditor/text/nsTextEditRules.h                         |   2 +
 gfx/layers/ipc/AsyncPanZoomController.cpp                       |  13 ++++++++++++
 gfx/layers/ipc/CompositableTransactionParent.cpp                |  15 +++++++++++--
 hal/windows/WindowsGamepad.cpp                                  |  29 +++++++++++++++++++++-----
 js/src/frontend/Parser.cpp                                      |   6 +++-
 js/src/frontend/TokenStream.cpp                                 |  17 ++++++++++-----
 js/src/frontend/TokenStream.h                                   |   4 +-
 js/src/jit-test/tests/ion/bug1000960.js                         |   9 ++++++++
 js/src/jit/IonFrames-inl.h                                      |   3 +-
 js/src/jit/arm/Assembler-arm.cpp                                |   5 +--
 js/src/jit/arm/MacroAssembler-arm.cpp                           |   1 -
 js/src/jit/arm/MacroAssembler-arm.h                             |   2 +-
 js/src/jit/shared/IonAssemblerBufferWithConstantPools.h         |   2 +-
 js/src/jscompartment.cpp                                        |   1 +
 js/src/jsinfer.cpp                                              |  13 +++++++++++-
 js/src/jsinfer.h                                                |   1 +
 layout/base/nsBidiPresUtils.cpp                                 |  38 +++++++++++++++++-----------------
 layout/ipc/RenderFrameParent.cpp                                |   5 ++++
 layout/style/xbl-marquee/xbl-marquee.xml                        |   3 +-
 53 files changed, 514 insertions(+), 233 deletions(-)
Status: NEW → RESOLVED
Closed: 5 years ago
Resolution: --- → FIXED
Depends on: 1019583
You need to log in before you can comment on or make changes to this bug.